gui_menu_draw_menu(3)

NAME
gui_menu_draw_menu, gui_menu_draw_menu_item - Hooks to modify the appearance of menus. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

extern void (*gui_menu_draw_menu)(int x, int y, int w, int h); extern void (*gui_menu_draw_menu_item)(MENU *m, int x, int y, int w, int h, int bar, int sel);

DESCRIPTION
If set, these functions will be called whenever a menu needs to be drawn, so you can change how menus look. gui_menu_draw_menu() is passed the position and size of the menu. It should draw the background of the menu onto screen. gui_menu_draw_menu_item() is called once for each menu item that is to be drawn. bar will be set if the item is part of a top-level horizontal menu bar, and sel will be set if the menu item is selected. It should also draw onto screen.

SEE ALSO